View Issue Details

IDProjectCategoryView StatusLast Update
0005162Multi Theft Auto : San AndreasServerpublic2011-03-28 13:13
ReporterccwAssigned Toccw 
PriorityhighSeveritymajorReproducibilitysometimes
Status resolvedResolutionfixed 
PlatformPCOSLinuxOS VersionDebian 5
Product Version1.0.3 
Target Version1.0.5Fixed in Version1.0.5 
Summary0005162: Download timeouts caused by temporary internal web server failure
Description

The internal web server can stop responding for a period of time. This can cause connecting players to fail with a download timeout. It also causes webadmin to be unavailable.

It mostly seems to get fixed 'all by itself' after a little while.

Steps To Reproduce

Use a monitoring service (like http://www.montastic.com) to check something like http://server-addr:22005/race/race_client.lua every 30 minutes.

Additional Information

It may appear that some players can connect, and some players cannot, this is because it only affects players that need to download client files.

TagsNo tags attached.

Relationships

related to 0005088 resolvedccw Download error when downloading files 
related to 0005389 resolvedccw Download Resources not allocatable 
related to 0005435 resolvedccw Download Error still occurs 

Activities

djlobo

2010-05-01 03:19

viewer   ~~0011406

This can be "fixed" if you connect to the ftp from that server and uploading some content into it, seems like it break the inactivity from the server, once you do this and you connect ingame it lets you download again.
Tested more then 1 time.
I thought we could do something like is done with mysql when this happen, is called mysqlparse, wich consists on sending packets from the host into the server to keep it "active", however this is just a sugestion from a newbie.

eAi

2010-05-10 04:12

administrator   ~~0011445

The web server runs on a separate thread, though mostly has to run in lock-step with the main thread. I'd check if it's getting deadlocked for some reason - I can't think what, off the top of my head.

ccw

2010-07-09 05:49

administrator   ~~0011719

Fixed in http://code.google.com/p/mtasa-blue/source/detail?r=1810

Fixed in Linux nightly (1845) at http://nightly.multitheftauto.com/

Issue History

Date Modified Username Field Change